be.fgov.ehealth.dics.protocol.v3

## Class FindCompanyRequest

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.RequestType
  - - be.fgov.ehealth.dics.protocol.v3.FindCompanyRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:30:23+02:00",
                 comments="JAXB RI v2.2.11")
      public class FindCompanyRequest
      extends RequestType
      implements Serializable

  Java class for FindCompanyRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="FindCompanyRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
             <choice>
               <element name="CompanyActorNr" type="{urn:be:fgov:ehealth:dics:core:v3:core}CompanyActorNrType"/>
               <element name="AnyNamePart" type="{urn:be:fgov:ehealth:dics:core:v3:core}SearchStringType"/>
               <element name="VatNr" type="{urn:be:fgov:ehealth:dics:core:v3:company:submit}VatNrPerCountryType"/>
             </choice>
             <attribute ref="{http://www.w3.org/XML/1998/namespace}lang use="required""/>
             <attribute name="SearchDate" type="{http://www.w3.org/2001/XMLSchema}date" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindCompanyRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnyNamePart()` Gets the value of the anyNamePart property.
    `String` | `getCompanyActorNr()` Gets the value of the companyActorNr property.
    `String` | `getLang()` Gets the value of the lang property.
    `org.joda.time.DateTime` | `getSearchDate()` Gets the value of the searchDate property.
    `VatNrPerCountryType` | `getVatNr()` Gets the value of the vatNr property.
    `void` | `setAnyNamePart(String value)` Sets the value of the anyNamePart property.
    `void` | `setCompanyActorNr(String value)` Sets the value of the companyActorNr property.
    `void` | `setLang(String value)` Sets the value of the lang property.
    `void` | `setSearchDate(org.joda.time.DateTime value)` Sets the value of the searchDate property.
    `void` | `setVatNr(VatNrPerCountryType value)` Sets the value of the vatNr property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

      `getId, getIssueInstant, setId, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindCompanyRequest

          public FindCompanyRequest()

  - ### Method Detail

    - #### getVatNr

          public VatNrPerCountryType getVatNr()

      Gets the value of the vatNr property.
      Returns:
        possible object is `VatNrPerCountryType`

    - #### setVatNr

          public void setVatNr(VatNrPerCountryType value)

      Sets the value of the vatNr property.
      Parameters:
        `value` - allowed object is `VatNrPerCountryType`

    - #### getAnyNamePart

          public String getAnyNamePart()

      Gets the value of the anyNamePart property.
      Returns:
        possible object is `String`

    - #### setAnyNamePart

          public void setAnyNamePart(String value)

      Sets the value of the anyNamePart property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCompanyActorNr

          public String getCompanyActorNr()

      Gets the value of the companyActorNr property.
      Returns:
        possible object is `String`

    - #### setCompanyActorNr

          public void setCompanyActorNr(String value)

      Sets the value of the companyActorNr property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLang

          public String getLang()

      Gets the value of the lang property.
      Returns:
        possible object is `String`

    - #### setLang

          public void setLang(String value)

      Sets the value of the lang property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSearchDate

          public org.joda.time.DateTime getSearchDate()

      Gets the value of the searchDate property.
      Returns:
        possible object is `String`

    - #### setSearchDate

          public void setSearchDate(org.joda.time.DateTime value)

      Sets the value of the searchDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.